Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy
Class DeploymentManager

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.deploy.DeploymentManager

All Implemented Interfaces:
  LifeCycle

    public class DeploymentManager

extends AbstractLifeCycle

The Deployment Manager.

Responsibilities:

1. Tracking Apps and their LifeCycle Location
2. Managing AppProviders and the Apps that they provide.
3. Executing AppLifeCycle on App based on current and desired LifeCycle Location.

Nested Class Summary
`class` | `DeploymentManager.AppEntry` Represents a single tracked app within the deployment manager.

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`DeploymentManager()`

Method Summary
`void` | `addApp(App app)` Receive an app for processing.
`void` | `addAppProvider(AppProvider provider)`
`void` | `addLifeCycleBinding(AppLifeCycle.Binding binding)`
`protected void` | `doStart()`
`protected void` | `doStop()`
`App` | `getAppByOriginId(java.lang.String originId)`
`java.util.Collection<DeploymentManager.AppEntry>` | `getAppEntries()`
`java.util.Collection<AppProvider>` | `getAppProviders()`
`java.util.Collection<App>` | `getApps()`
`java.util.Collection<App>` | `getApps(Node node)` Get Set of `App`s by `Node`
`java.util.List<App>` | `getAppsWithSameContext(App app)`
`java.lang.Object` | `getContextAttribute(java.lang.String name)` Get a contextAttribute that will be set for every Context deployed by this provider.
`AttributesMap` | `getContextAttributes()`
`ContextHandlerCollection` | `getContexts()`
`java.lang.String` | `getDefaultLifeCycleGoal()`
`AppLifeCycle` | `getLifeCycle()`
`java.util.Collection<AppLifeCycle.Binding>` | `getLifeCycleBindings()`
`Server` | `getServer()`
`void` | `insertLifeCycleNode(java.lang.String existingFromNodeName, java.lang.String existingToNodeName, java.lang.String insertedNodeName)` Convenience method to allow for insertion of nodes into the lifecycle.
`boolean` | `isUseStandardBindings()`
`void` | `removeApp(App app)` Remove the app from the tracking of the DeploymentManager
`void` | `removeAppProvider(AppProvider provider)`
`void` | `removeContextAttribute(java.lang.String name)` Remove a contextAttribute that will be set for every Context deployed by this provider.
`void` | `requestAppGoal(App app, java.lang.String nodeName)` Move an `App` through the `AppLifeCycle` to the desired `Node`, executing each lifecycle step in the process to reach the desired state.
`void` | `requestAppGoal(java.lang.String appId, java.lang.String nodeName)` Move an `App` through the `AppLifeCycle` to the desired `Node`, executing each lifecycle step in the process to reach the desired state.
`void` | `setAppProviders(java.util.Collection<AppProvider> providers)`
`void` | `setContextAttribute(java.lang.String name, java.lang.Object value)` Set a contextAttribute that will be set for every Context deployed by this provider.
`void` | `setContextAttributes(AttributesMap contextAttributes)`
`void` | `setContexts(ContextHandlerCollection contexts)`
`void` | `setDefaultLifeCycleGoal(java.lang.String defaultLifeCycleState)`
`void` | `setLifeCycleBindings(java.util.Collection<AppLifeCycle.Binding> bindings)`
`void` | `setUseStandardBindings(boolean useStandardBindings)`
`void` | `undeployAll()`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentManager

    public DeploymentManager()

Method Detail

### addApp

    public void addApp(App app)

  Receive an app for processing. Most commonly used by the various `AppProvider` implementations.

### setAppProviders

    public void setAppProviders(java.util.Collection<AppProvider> providers)

### getAppProviders

    public java.util.Collection<AppProvider> getAppProviders()

### addAppProvider

    public void addAppProvider(AppProvider provider)

### setLifeCycleBindings

    public void setLifeCycleBindings(java.util.Collection<AppLifeCycle.Binding> bindings)

### getLifeCycleBindings

    public java.util.Collection<AppLifeCycle.Binding> getLifeCycleBindings()

### addLifeCycleBinding

    public void addLifeCycleBinding(AppLifeCycle.Binding binding)

### insertLifeCycleNode

    public void insertLifeCycleNode(java.lang.String existingFromNodeName,
                                    java.lang.String existingToNodeName,
                                    java.lang.String insertedNodeName)

  Convenience method to allow for insertion of nodes into the lifecycle.

  Parameters:
    `existingFromNodeName` -
    `existingToNodeName` -
    `insertedNodeName` -

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### doStop

    protected void doStop()
                   throws java.lang.Exception

  Overrides:
    `doStop` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### getAppByOriginId

    public App getAppByOriginId(java.lang.String originId)

### getAppEntries

    public java.util.Collection<DeploymentManager.AppEntry> getAppEntries()

### getApps

    public java.util.Collection<App> getApps()

### getApps

    public java.util.Collection<App> getApps(Node node)

  Get Set of `App`s by `Node`

  Parameters:
    `node` - the node to look for.
  Returns:
    the collection of apps for the node

### getAppsWithSameContext

    public java.util.List<App> getAppsWithSameContext(App app)

### getContextAttribute

    public java.lang.Object getContextAttribute(java.lang.String name)

  Get a contextAttribute that will be set for every Context deployed by this provider.

  Parameters:
    `name` -
  Returns:
    the context attribute value

### getContextAttributes

    public AttributesMap getContextAttributes()

### getContexts

    public ContextHandlerCollection getContexts()

### getDefaultLifeCycleGoal

    public java.lang.String getDefaultLifeCycleGoal()

### getLifeCycle

    public AppLifeCycle getLifeCycle()

### getServer

    public Server getServer()

### removeApp

    public void removeApp(App app)

  Remove the app from the tracking of the DeploymentManager

  Parameters:
    `app` - if the app is Unavailable remove it from the deployment manager.

### removeAppProvider

    public void removeAppProvider(AppProvider provider)

### removeContextAttribute

    public void removeContextAttribute(java.lang.String name)

  Remove a contextAttribute that will be set for every Context deployed by this provider.

  Parameters:
    `name` -

### requestAppGoal

    public void requestAppGoal(App app,
                               java.lang.String nodeName)

  Move an `App` through the `AppLifeCycle` to the desired `Node`, executing each lifecycle step in the process to reach the desired state.

  Parameters:
    `app` - the app to move through the process
    `nodeName` - the name of the node to attain

### requestAppGoal

    public void requestAppGoal(java.lang.String appId,
                               java.lang.String nodeName)

  Move an `App` through the `AppLifeCycle` to the desired `Node`, executing each lifecycle step in the process to reach the desired state.

  Parameters:
    `appId` - the id of the app to move through the process
    `nodeName` - the name of the node to attain

### setContextAttribute

    public void setContextAttribute(java.lang.String name,
                                    java.lang.Object value)

  Set a contextAttribute that will be set for every Context deployed by this provider.

  Parameters:
    `name` -
    `value` -

### setContextAttributes

    public void setContextAttributes(AttributesMap contextAttributes)

### setContexts

    public void setContexts(ContextHandlerCollection contexts)

### setDefaultLifeCycleGoal

    public void setDefaultLifeCycleGoal(java.lang.String defaultLifeCycleState)

### undeployAll

    public void undeployAll()

### isUseStandardBindings

    public boolean isUseStandardBindings()

### setUseStandardBindings

    public void setUseStandardBindings(boolean useStandardBindings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.